interface Input {
    cwd?: string;
}
export declare type GitSyncStatus = 'synced' | 'not_synced' | 'remote_needs_branch';
declare class Git2 {
    private dir;
    private fs;
    private http;
    constructor(input?: Input);
    /**
     * Get the name of the currently checked out branch.
     */
    getCurrentBranchName(): Promise<string | void>;
    /**
     * Check how the local branch is not in sync or is with the remote.
     * Ref: https://stackoverflow.com/questions/3258243/check-if-pull-needed-in-git
     */
    checkSyncStatus(input: {
        branchName: string;
    }): Promise<GitSyncStatus>;
}
export declare function createGit(input?: Input): Git2;
export {};
//# sourceMappingURL=git2.d.ts.map