import { Octokit } from '../utils/octokit';
import { Release } from '../utils/release';
interface Repo {
    owner: string;
    name: string;
}
interface Input {
    octokit: Octokit;
    repo: Repo;
    /**
     * Uses the release manage the changelog changes. A preview relese will result
     * in a pre-release github release. A stable release will result in the
     * preview github release being cleared of notes and pointed toward the latest
     * stable commit sha.
     */
    release: Release & {
        head: {
            sha: string;
        };
    };
    /**
     * The Changelog content.
     */
    body: string;
    options?: {
        /**
         * Mark the GitHub release as a draft rather than published.
         */
        draft?: boolean;
    };
}
/**
 * Publish a changelog. The given git tag should have already been pushed to the
 * remote. If the release is a preview then the github release will be made
 * against the pre-release identifier name. Otherwise the github release will be
 * made against the styled version.
 */
export declare function publishChangelog(input: Input): Promise<any>;
export {};
//# sourceMappingURL=publish-changelog.d.ts.map