import { GitSyncStatus } from '../lib/git2';
import * as Rel from './release';
export interface PullRequestContext {
    number: number;
}
export interface Options {
    cwd: string;
    /**
     * When building the context should the CI environment be checked for data?
     * Useful to boost performance.
     *
     * @default true
     */
    readFromCIEnvironment: boolean;
    overrides?: {
        /**
         * @default null
         */
        trunk?: null | string;
    };
}
export interface LocationContext {
    package: {
        name: string;
    };
    githubRepo: {
        owner: string;
        name: string;
        trunkBranch: string;
    };
    currentBranch: {
        name: string;
        isTrunk: boolean;
        syncStatus: GitSyncStatus;
        pr: null | PullRequestContext;
    };
}
export interface Context extends LocationContext {
    series: Rel.Series;
}
export declare function getContext(options: Options): Promise<Context>;
/**
 * Get location-oriented contextual information. Does not consider the release
 * series but things like current branch, repo, pr etc.
 */
export declare function getLocationContext({ octokit, options, }: {
    octokit: any;
    options?: Options;
}): Promise<LocationContext>;
//# sourceMappingURL=context.d.ts.map